# fn() getAbsolutePath
Returns absolute path for a filename within the source repository.

Defined in | <seqan/basic.h>
Signature | `std::string getAbsolutePath(const char * filename)`

## Return Values

`<tt>std::string</tt>,` | absolute path for a filename within the source repository.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn getAbsolutePath
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Returns absolute path for a filename within the source repository.
     *
     * @signature std::string getAbsolutePath(const char * filename)
     *
     * @return <tt>std::string</tt>, absolute path for a filename within the source
     *                               repository.
     */